/**********************************************************************
 * File:        stop_trace_in_session.sql
 * Type:        SQL*Plus script
 * Author:      Dan Hotka
 * Date:        09-19-2009
 *
 * Description:
 *      SQL*Plus script to stops the SQL Trace for another session.  This script will
 *      prompt for information it needs.
 *
 * Modifications:
 *	
 *********************************************************************/
SET TERMOUT OFF
SET FEEDBACK OFF
SET VERIFY OFF
SET ECHO OFF
 
SET TERMOUT ON
 
ACCEPT in_sid PROMPT 'Enter SID from Start Trace : '
ACCEPT in_serial PROMPT 'Enter SERIAL from Start Trace : '
PROMPT
rem exec dbms_system.set_ev(&in_sid, &in_serial, 10046, 0, '');
EXECUTE DBMS_MONITOR.SESSION_TRACE_DISABLE(session_id => &in_sid, serial_num => &in_serial);

PROMPT Trace is turned off
PROMPT
SET FEEDBACK ON
SET VERIFY ON
SET ECHO ON