/**********************************************************************
 * File:        profiler_rpt.sql
 * Type:        SQL*Plus script
 * Author:      Dan Hotka
 * Date:        04-16-2009
 *
 * Description:
 *      SQL*Plus script to display explain plan for partial string of SQL text
 *      from dba_hist_sqltext (AWR)
 * Modifications:
 *	
 *********************************************************************/Select plan_table_output

set linesize 120


Select plan_table_output
From dba_hist_sqltext s,
Table(dbms_xplan.display_cursor(s.sql_id)) t
Where s.sql_text like '%&Enter_SQL_Text%'
/