/**********************************************************************
 * File:        Find_VSQL_SQL.sql
 * Type:        SQL*Plus script
 * Author:      Dan Hotka
 * Date:        04-16-2009
 *
 * Description:
 *      SQL*Plus script to display explain plan for partial string of SQL text
 *      from V$SQL
 *
 * Modifications:
 *	
 *********************************************************************/Select plan_table_output

set linesize 120

Select plan_table_output
From v$sql s,
table(dbms_xplan.display_cursor(s.sql_id, s.child_number)) t
Where s.sql_text like '%&Enter_SQL_Text%'
/



