SET TERMOUT OFF
rem CLEAR SCREEN 
SET LINESIZE 100
SET FEEDBACK OFF
SET VERIFY OFF
SET ECHO OFF
SET PAGESIZE 20
SET HEADING OFF
REMrem   
rem   Dan Hotka Pinnacle Professional article
rem   Show_Plan_qb.sql   - used to print contents from Plan_Table
rem
rem   Install utlxplan.sql for each user, then put this line in front of sql statement
rem   --> explain plan  for <SQL statement>
rem   -->  run this script --> sqlplus userid/pwd @show_plan <some name>
rem
rem  Modified on 2/12/2010 to add QBLOCK_NAME for 10g/11g subquery processing
rem
set pagesize 20
set linesize 80

column id format 999 heading 'ID'
column parent_id format 999 heading 'P_ID'
column cost format 999 heading 'Cost'
column access_plan format a25 heading 'Access|Plan'
column access_path format a12 heading 'Access|Path'
column object_name format a12 heading 'Object|Name'
column qblock_name format a13 heading 'QB Name'

set heading on
set termout on


select cost,id, parent_id, lpad (' ', 2 * level) || operation Access_Plan, 
options Access_Path, object_name , decode(substr(qblock_name,1,4),'SEL$','',qblock_name) qblock_name
from plan_table
connect by prior id = parent_id
start with id = 0; 

set termout off

delete from plan_table;

SET HEADING ON FEEDBACK ON ECHO ON VERIFY ON  PAGESIZE 20 TERMOUT On



